TICKIT_RECTSET_NEW(3)

NAME
tickit_rectset_new, tickit_rectset_destroy - create or destroy a rectangle set

SYNOPSIS
    #include <tickit.h>

    TickitRectSet *tickit_rectset_new(void);
    void tickit_rectset_destroy(TickitRectSet *trs);

Link with -ltickit.

DESCRIPTION
tickit_rectset_new() creates a new TickitRectSet instance. It will be initially empty, containing no regions.

tickit_rectset_destroy() destroys the given instances and releases any resources controlled by it.

RETURN VALUE
If successful, tickit_rectset_new() returns a pointer to the new instance. On failure, NULL is returned with errno set to indicate the failure. tickit_rectset_destroy() returns no value.

SEE ALSO
tickit_rectset_add(3), tickit_rectset_subtract(3), tickit_rectset_rects(3), tickit_rectset_get_rects(3), tickit_rectset(7), tickit(7)